merged plib
[ppastats.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 TESTS = test-strrep$(EXEEXT) test-ptime$(EXEEXT)
81 check_PROGRAMS = test-strrep$(EXEEXT) test-ptime$(EXEEXT)
82 subdir = tests
83 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
84         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
87         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
88         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
89         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
90         $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
91         $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93         $(ACLOCAL_M4)
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_HEADER = $(top_builddir)/config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 am_test_ptime_OBJECTS = test_ptime-test_ptime.$(OBJEXT) \
99         test_ptime-ptime.$(OBJEXT)
100 test_ptime_OBJECTS = $(am_test_ptime_OBJECTS)
101 test_ptime_LDADD = $(LDADD)
102 test_ptime_LINK = $(CCLD) $(test_ptime_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
103         $(LDFLAGS) -o $@
104 am_test_strrep_OBJECTS = test_strrep-test_strrep.$(OBJEXT) \
105         test_strrep-pstr.$(OBJEXT)
106 test_strrep_OBJECTS = $(am_test_strrep_OBJECTS)
107 test_strrep_LDADD = $(LDADD)
108 test_strrep_LINK = $(CCLD) $(test_strrep_CFLAGS) $(CFLAGS) \
109         $(AM_LDFLAGS) $(LDFLAGS) -o $@
110 AM_V_P = $(am__v_P_@AM_V@)
111 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
112 am__v_P_0 = false
113 am__v_P_1 = :
114 AM_V_GEN = $(am__v_GEN_@AM_V@)
115 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
116 am__v_GEN_0 = @echo "  GEN     " $@;
117 am__v_GEN_1 = 
118 AM_V_at = $(am__v_at_@AM_V@)
119 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
120 am__v_at_0 = @
121 am__v_at_1 = 
122 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
123 depcomp = $(SHELL) $(top_srcdir)/depcomp
124 am__depfiles_maybe = depfiles
125 am__mv = mv -f
126 AM_V_lt = $(am__v_lt_@AM_V@)
127 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
128 am__v_lt_0 = --silent
129 am__v_lt_1 = 
130 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
131         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
132 AM_V_CC = $(am__v_CC_@AM_V@)
133 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
134 am__v_CC_0 = @echo "  CC      " $@;
135 am__v_CC_1 = 
136 CCLD = $(CC)
137 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
138 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
139 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
140 am__v_CCLD_0 = @echo "  CCLD    " $@;
141 am__v_CCLD_1 = 
142 SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
143 DIST_SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
144 am__can_run_installinfo = \
145   case $$AM_UPDATE_INFO_DIR in \
146     n|no|NO) false;; \
147     *) (install-info --version) >/dev/null 2>&1;; \
148   esac
149 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
150 # Read a list of newline-separated strings from the standard input,
151 # and print each of them once, without duplicates.  Input order is
152 # *not* preserved.
153 am__uniquify_input = $(AWK) '\
154   BEGIN { nonempty = 0; } \
155   { items[$$0] = 1; nonempty = 1; } \
156   END { if (nonempty) { for (i in items) print i; }; } \
157 '
158 # Make sure the list of sources is unique.  This is necessary because,
159 # e.g., the same source file might be shared among _SOURCES variables
160 # for different programs/libraries.
161 am__define_uniq_tagged_files = \
162   list='$(am__tagged_files)'; \
163   unique=`for i in $$list; do \
164     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
165   done | $(am__uniquify_input)`
166 ETAGS = etags
167 CTAGS = ctags
168 am__tty_colors_dummy = \
169   mgn= red= grn= lgn= blu= brg= std=; \
170   am__color_tests=no
171 am__tty_colors = { \
172   $(am__tty_colors_dummy); \
173   if test "X$(AM_COLOR_TESTS)" = Xno; then \
174     am__color_tests=no; \
175   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
176     am__color_tests=yes; \
177   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
178     am__color_tests=yes; \
179   fi; \
180   if test $$am__color_tests = yes; then \
181     red='\e[0;31m'; \
182     grn='\e[0;32m'; \
183     lgn='\e[1;32m'; \
184     blu='\e[1;34m'; \
185     mgn='\e[0;35m'; \
186     brg='\e[1m'; \
187     std='\e[m'; \
188   fi; \
189 }
190 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
191 am__vpath_adj = case $$p in \
192     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
193     *) f=$$p;; \
194   esac;
195 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
196 am__install_max = 40
197 am__nobase_strip_setup = \
198   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
199 am__nobase_strip = \
200   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
201 am__nobase_list = $(am__nobase_strip_setup); \
202   for p in $$list; do echo "$$p $$p"; done | \
203   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
204   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
205     if (++n[$$2] == $(am__install_max)) \
206       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
207     END { for (dir in files) print dir, files[dir] }'
208 am__base_list = \
209   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
210   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
211 am__uninstall_files_from_dir = { \
212   test -z "$$files" \
213     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
214     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
215          $(am__cd) "$$dir" && rm -f $$files; }; \
216   }
217 am__recheck_rx = ^[     ]*:recheck:[    ]*
218 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
219 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
220 # A command that, given a newline-separated list of test names on the
221 # standard input, print the name of the tests that are to be re-run
222 # upon "make recheck".
223 am__list_recheck_tests = $(AWK) '{ \
224   recheck = 1; \
225   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
226     { \
227       if (rc < 0) \
228         { \
229           if ((getline line2 < ($$0 ".log")) < 0) \
230             recheck = 0; \
231           break; \
232         } \
233       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
234         { \
235           recheck = 0; \
236           break; \
237         } \
238       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
239         { \
240           break; \
241         } \
242     }; \
243   if (recheck) \
244     print $$0; \
245   close ($$0 ".trs"); \
246   close ($$0 ".log"); \
247 }'
248 # A command that, given a newline-separated list of test names on the
249 # standard input, create the global log from their .trs and .log files.
250 am__create_global_log = $(AWK) ' \
251 function fatal(msg) \
252 { \
253   print "fatal: making $@: " msg | "cat >&2"; \
254   exit 1; \
255 } \
256 function rst_section(header) \
257 { \
258   print header; \
259   len = length(header); \
260   for (i = 1; i <= len; i = i + 1) \
261     printf "="; \
262   printf "\n\n"; \
263 } \
264 { \
265   copy_in_global_log = 1; \
266   global_test_result = "RUN"; \
267   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
268     { \
269       if (rc < 0) \
270          fatal("failed to read from " $$0 ".trs"); \
271       if (line ~ /$(am__global_test_result_rx)/) \
272         { \
273           sub("$(am__global_test_result_rx)", "", line); \
274           sub("[        ]*$$", "", line); \
275           global_test_result = line; \
276         } \
277       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
278         copy_in_global_log = 0; \
279     }; \
280   if (copy_in_global_log) \
281     { \
282       rst_section(global_test_result ": " $$0); \
283       while ((rc = (getline line < ($$0 ".log"))) != 0) \
284       { \
285         if (rc < 0) \
286           fatal("failed to read from " $$0 ".log"); \
287         print line; \
288       }; \
289       printf "\n"; \
290     }; \
291   close ($$0 ".trs"); \
292   close ($$0 ".log"); \
293 }'
294 # Restructured Text title.
295 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
296 # Solaris 10 'make', and several other traditional 'make' implementations,
297 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
298 # by disabling -e (using the XSI extension "set +e") if it's set.
299 am__sh_e_setup = case $$- in *e*) set +e;; esac
300 # Default flags passed to test drivers.
301 am__common_driver_flags = \
302   --color-tests "$$am__color_tests" \
303   --enable-hard-errors "$$am__enable_hard_errors" \
304   --expect-failure "$$am__expect_failure"
305 # To be inserted before the command running the test.  Creates the
306 # directory for the log if needed.  Stores in $dir the directory
307 # containing $f, in $tst the test, in $log the log.  Executes the
308 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
309 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
310 # will run the test scripts (or their associated LOG_COMPILER, if
311 # thy have one).
312 am__check_pre = \
313 $(am__sh_e_setup);                                      \
314 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
315 $(am__tty_colors);                                      \
316 srcdir=$(srcdir); export srcdir;                        \
317 case "$@" in                                            \
318   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
319     *) am__odir=.;;                                     \
320 esac;                                                   \
321 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
322   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
323 if test -f "./$$f"; then dir=./;                        \
324 elif test -f "$$f"; then dir=;                          \
325 else dir="$(srcdir)/"; fi;                              \
326 tst=$$dir$$f; log='$@';                                 \
327 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
328   am__enable_hard_errors=no;                            \
329 else                                                    \
330   am__enable_hard_errors=yes;                           \
331 fi;                                                     \
332 case " $(XFAIL_TESTS) " in                              \
333   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
334     am__expect_failure=yes;;                            \
335   *)                                                    \
336     am__expect_failure=no;;                             \
337 esac;                                                   \
338 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
339 # A shell command to get the names of the tests scripts with any registered
340 # extension removed (i.e., equivalently, the names of the test logs, with
341 # the '.log' extension removed).  The result is saved in the shell variable
342 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
343 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
344 # since that might cause problem with VPATH rewrites for suffix-less tests.
345 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
346 am__set_TESTS_bases = \
347   bases='$(TEST_LOGS)'; \
348   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
349   bases=`echo $$bases`
350 RECHECK_LOGS = $(TEST_LOGS)
351 AM_RECURSIVE_TARGETS = check recheck
352 TEST_SUITE_LOG = test-suite.log
353 TEST_EXTENSIONS = @EXEEXT@ .test
354 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
355 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
356 am__set_b = \
357   case '$@' in \
358     */*) \
359       case '$*' in \
360         */*) b='$*';; \
361           *) b=`echo '$@' | sed 's/\.log$$//'`; \
362        esac;; \
363     *) \
364       b='$*';; \
365   esac
366 am__test_logs1 = $(TESTS:=.log)
367 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
368 TEST_LOGS = $(am__test_logs2:.test.log=.log)
369 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
370 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
371         $(TEST_LOG_FLAGS)
372 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
373 ACLOCAL = @ACLOCAL@
374 AMTAR = @AMTAR@
375 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
376 AUTOCONF = @AUTOCONF@
377 AUTOHEADER = @AUTOHEADER@
378 AUTOMAKE = @AUTOMAKE@
379 AWK = @AWK@
380 CC = @CC@
381 CCDEPMODE = @CCDEPMODE@
382 CFLAGS = @CFLAGS@
383 CPP = @CPP@
384 CPPFLAGS = @CPPFLAGS@
385 CURL_CFLAGS = @CURL_CFLAGS@
386 CURL_LIBS = @CURL_LIBS@
387 CYGPATH_W = @CYGPATH_W@
388 DEFS = @DEFS@
389 DEPDIR = @DEPDIR@
390 ECHO_C = @ECHO_C@
391 ECHO_N = @ECHO_N@
392 ECHO_T = @ECHO_T@
393 EGREP = @EGREP@
394 EXEEXT = @EXEEXT@
395 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
396 GMSGFMT = @GMSGFMT@
397 GMSGFMT_015 = @GMSGFMT_015@
398 GREP = @GREP@
399 HELP2MAN = @HELP2MAN@
400 INSTALL = @INSTALL@
401 INSTALL_DATA = @INSTALL_DATA@
402 INSTALL_PROGRAM = @INSTALL_PROGRAM@
403 INSTALL_SCRIPT = @INSTALL_SCRIPT@
404 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
405 INTLLIBS = @INTLLIBS@
406 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
407 JSON_CFLAGS = @JSON_CFLAGS@
408 JSON_LIBS = @JSON_LIBS@
409 LDFLAGS = @LDFLAGS@
410 LIBICONV = @LIBICONV@
411 LIBINTL = @LIBINTL@
412 LIBOBJS = @LIBOBJS@
413 LIBS = @LIBS@
414 LTLIBICONV = @LTLIBICONV@
415 LTLIBINTL = @LTLIBINTL@
416 LTLIBOBJS = @LTLIBOBJS@
417 MAKEINFO = @MAKEINFO@
418 MKDIR_P = @MKDIR_P@
419 MSGFMT = @MSGFMT@
420 MSGFMT_015 = @MSGFMT_015@
421 MSGMERGE = @MSGMERGE@
422 OBJEXT = @OBJEXT@
423 PACKAGE = @PACKAGE@
424 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
425 PACKAGE_NAME = @PACKAGE_NAME@
426 PACKAGE_STRING = @PACKAGE_STRING@
427 PACKAGE_TARNAME = @PACKAGE_TARNAME@
428 PACKAGE_URL = @PACKAGE_URL@
429 PACKAGE_VERSION = @PACKAGE_VERSION@
430 PATH_SEPARATOR = @PATH_SEPARATOR@
431 PKG_CONFIG = @PKG_CONFIG@
432 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
433 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
434 POSUB = @POSUB@
435 RANLIB = @RANLIB@
436 SET_MAKE = @SET_MAKE@
437 SHELL = @SHELL@
438 STRIP = @STRIP@
439 USE_NLS = @USE_NLS@
440 VERSION = @VERSION@
441 XGETTEXT = @XGETTEXT@
442 XGETTEXT_015 = @XGETTEXT_015@
443 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
444 XMKMF = @XMKMF@
445 abs_builddir = @abs_builddir@
446 abs_srcdir = @abs_srcdir@
447 abs_top_builddir = @abs_top_builddir@
448 abs_top_srcdir = @abs_top_srcdir@
449 ac_ct_CC = @ac_ct_CC@
450 am__include = @am__include@
451 am__leading_dot = @am__leading_dot@
452 am__quote = @am__quote@
453 am__tar = @am__tar@
454 am__untar = @am__untar@
455 bindir = @bindir@
456 build = @build@
457 build_alias = @build_alias@
458 build_cpu = @build_cpu@
459 build_os = @build_os@
460 build_vendor = @build_vendor@
461 builddir = @builddir@
462 datadir = @datadir@
463 datarootdir = @datarootdir@
464 docdir = @docdir@
465 dvidir = @dvidir@
466 exec_prefix = @exec_prefix@
467 host = @host@
468 host_alias = @host_alias@
469 host_cpu = @host_cpu@
470 host_os = @host_os@
471 host_vendor = @host_vendor@
472 htmldir = @htmldir@
473 includedir = @includedir@
474 infodir = @infodir@
475 install_sh = @install_sh@
476 libdir = @libdir@
477 libexecdir = @libexecdir@
478 localedir = @localedir@
479 localstatedir = @localstatedir@
480 mandir = @mandir@
481 mkdir_p = @mkdir_p@
482 oldincludedir = @oldincludedir@
483 pdfdir = @pdfdir@
484 prefix = @prefix@
485 program_transform_name = @program_transform_name@
486 psdir = @psdir@
487 sbindir = @sbindir@
488 sharedstatedir = @sharedstatedir@
489 srcdir = @srcdir@
490 sysconfdir = @sysconfdir@
491 target_alias = @target_alias@
492 top_build_prefix = @top_build_prefix@
493 top_builddir = @top_builddir@
494 top_srcdir = @top_srcdir@
495 EXTRA_DIST = \
496         checkpatch.pl \
497         test_strrep.c \
498         test_ptime.c
499
500 test_strrep_SOURCES = \
501         test_strrep.c \
502         $(top_builddir)/src/pstr.h \
503         $(top_builddir)/src/pstr.c
504
505 test_strrep_CFLAGS = -I$(top_srcdir)/src
506 test_ptime_SOURCES = \
507         test_ptime.c \
508         $(top_builddir)/src/ptime.h \
509         $(top_builddir)/src/ptime.c
510
511 test_ptime_CFLAGS = -I$(top_srcdir)/src
512 all: all-am
513
514 .SUFFIXES:
515 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
516 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
517         @for dep in $?; do \
518           case '$(am__configure_deps)' in \
519             *$$dep*) \
520               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
521                 && { if test -f $@; then exit 0; else break; fi; }; \
522               exit 1;; \
523           esac; \
524         done; \
525         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
526         $(am__cd) $(top_srcdir) && \
527           $(AUTOMAKE) --gnu tests/Makefile
528 .PRECIOUS: Makefile
529 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
530         @case '$?' in \
531           *config.status*) \
532             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
533           *) \
534             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
535             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
536         esac;
537
538 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
539         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
540
541 $(top_srcdir)/configure:  $(am__configure_deps)
542         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
543 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
544         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
545 $(am__aclocal_m4_deps):
546
547 clean-checkPROGRAMS:
548         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
549
550 test-ptime$(EXEEXT): $(test_ptime_OBJECTS) $(test_ptime_DEPENDENCIES) $(EXTRA_test_ptime_DEPENDENCIES) 
551         @rm -f test-ptime$(EXEEXT)
552         $(AM_V_CCLD)$(test_ptime_LINK) $(test_ptime_OBJECTS) $(test_ptime_LDADD) $(LIBS)
553
554 test-strrep$(EXEEXT): $(test_strrep_OBJECTS) $(test_strrep_DEPENDENCIES) $(EXTRA_test_strrep_DEPENDENCIES) 
555         @rm -f test-strrep$(EXEEXT)
556         $(AM_V_CCLD)$(test_strrep_LINK) $(test_strrep_OBJECTS) $(test_strrep_LDADD) $(LIBS)
557
558 mostlyclean-compile:
559         -rm -f *.$(OBJEXT)
560
561 distclean-compile:
562         -rm -f *.tab.c
563
564 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-ptime.Po@am__quote@
565 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-test_ptime.Po@am__quote@
566 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-pstr.Po@am__quote@
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-test_strrep.Po@am__quote@
568
569 .c.o:
570 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
571 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
572 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
573 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
574 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
575
576 .c.obj:
577 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
578 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
580 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
581 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
582
583 test_ptime-test_ptime.o: test_ptime.c
584 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
585 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.o' libtool=no @AMDEPBACKSLASH@
587 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
588 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
589
590 test_ptime-test_ptime.obj: test_ptime.c
591 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
592 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
593 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.obj' libtool=no @AMDEPBACKSLASH@
594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
595 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
596
597 test_ptime-ptime.o: $(top_builddir)/src/ptime.c
598 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
599 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.o' libtool=no @AMDEPBACKSLASH@
601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
602 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
603
604 test_ptime-ptime.obj: $(top_builddir)/src/ptime.c
605 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
606 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.obj' libtool=no @AMDEPBACKSLASH@
608 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
609 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
610
611 test_strrep-test_strrep.o: test_strrep.c
612 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.o -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
613 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
614 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.o' libtool=no @AMDEPBACKSLASH@
615 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
616 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
617
618 test_strrep-test_strrep.obj: test_strrep.c
619 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.obj -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
620 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
621 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.obj' libtool=no @AMDEPBACKSLASH@
622 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
623 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
624
625 test_strrep-pstr.o: $(top_builddir)/src/pstr.c
626 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.o -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
627 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
628 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.o' libtool=no @AMDEPBACKSLASH@
629 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
630 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
631
632 test_strrep-pstr.obj: $(top_builddir)/src/pstr.c
633 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.obj -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
634 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.obj' libtool=no @AMDEPBACKSLASH@
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
637 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
638
639 ID: $(am__tagged_files)
640         $(am__define_uniq_tagged_files); mkid -fID $$unique
641 tags: tags-am
642 TAGS: tags
643
644 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
645         set x; \
646         here=`pwd`; \
647         $(am__define_uniq_tagged_files); \
648         shift; \
649         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
650           test -n "$$unique" || unique=$$empty_fix; \
651           if test $$# -gt 0; then \
652             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
653               "$$@" $$unique; \
654           else \
655             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
656               $$unique; \
657           fi; \
658         fi
659 ctags: ctags-am
660
661 CTAGS: ctags
662 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
663         $(am__define_uniq_tagged_files); \
664         test -z "$(CTAGS_ARGS)$$unique" \
665           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
666              $$unique
667
668 GTAGS:
669         here=`$(am__cd) $(top_builddir) && pwd` \
670           && $(am__cd) $(top_srcdir) \
671           && gtags -i $(GTAGS_ARGS) "$$here"
672 cscopelist: cscopelist-am
673
674 cscopelist-am: $(am__tagged_files)
675         list='$(am__tagged_files)'; \
676         case "$(srcdir)" in \
677           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
678           *) sdir=$(subdir)/$(srcdir) ;; \
679         esac; \
680         for i in $$list; do \
681           if test -f "$$i"; then \
682             echo "$(subdir)/$$i"; \
683           else \
684             echo "$$sdir/$$i"; \
685           fi; \
686         done >> $(top_builddir)/cscope.files
687
688 distclean-tags:
689         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
690
691 # Recover from deleted '.trs' file; this should ensure that
692 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
693 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
694 # to avoid problems with "make -n".
695 .log.trs:
696         rm -f $< $@
697         $(MAKE) $(AM_MAKEFLAGS) $<
698
699 # Leading 'am--fnord' is there to ensure the list of targets does not
700 # expand to empty, as could happen e.g. with make check TESTS=''.
701 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
702 am--force-recheck:
703         @:
704
705 $(TEST_SUITE_LOG): $(TEST_LOGS)
706         @$(am__set_TESTS_bases); \
707         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
708         redo_bases=`for i in $$bases; do \
709                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
710                     done`; \
711         if test -n "$$redo_bases"; then \
712           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
713           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
714           if $(am__make_dryrun); then :; else \
715             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
716           fi; \
717         fi; \
718         if test -n "$$am__remaking_logs"; then \
719           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
720                "recursion detected" >&2; \
721         else \
722           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
723         fi; \
724         if $(am__make_dryrun); then :; else \
725           st=0;  \
726           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
727           for i in $$redo_bases; do \
728             test -f $$i.trs && test -r $$i.trs \
729               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
730             test -f $$i.log && test -r $$i.log \
731               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
732           done; \
733           test $$st -eq 0 || exit 1; \
734         fi
735         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
736         ws='[   ]'; \
737         results=`for b in $$bases; do echo $$b.trs; done`; \
738         test -n "$$results" || results=/dev/null; \
739         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
740         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
741         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
742         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
743         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
744         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
745         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
746         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
747           success=true; \
748         else \
749           success=false; \
750         fi; \
751         br='==================='; br=$$br$$br$$br$$br; \
752         result_count () \
753         { \
754             if test x"$$1" = x"--maybe-color"; then \
755               maybe_colorize=yes; \
756             elif test x"$$1" = x"--no-color"; then \
757               maybe_colorize=no; \
758             else \
759               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
760             fi; \
761             shift; \
762             desc=$$1 count=$$2; \
763             if test $$maybe_colorize = yes && test $$count -gt 0; then \
764               color_start=$$3 color_end=$$std; \
765             else \
766               color_start= color_end=; \
767             fi; \
768             echo "$${color_start}# $$desc $$count$${color_end}"; \
769         }; \
770         create_testsuite_report () \
771         { \
772           result_count $$1 "TOTAL:" $$all   "$$brg"; \
773           result_count $$1 "PASS: " $$pass  "$$grn"; \
774           result_count $$1 "SKIP: " $$skip  "$$blu"; \
775           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
776           result_count $$1 "FAIL: " $$fail  "$$red"; \
777           result_count $$1 "XPASS:" $$xpass "$$red"; \
778           result_count $$1 "ERROR:" $$error "$$mgn"; \
779         }; \
780         {                                                               \
781           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
782             $(am__rst_title);                                           \
783           create_testsuite_report --no-color;                           \
784           echo;                                                         \
785           echo ".. contents:: :depth: 2";                               \
786           echo;                                                         \
787           for b in $$bases; do echo $$b; done                           \
788             | $(am__create_global_log);                                 \
789         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
790         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
791         if $$success; then                                              \
792           col="$$grn";                                                  \
793          else                                                           \
794           col="$$red";                                                  \
795           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
796         fi;                                                             \
797         echo "$${col}$$br$${std}";                                      \
798         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
799         echo "$${col}$$br$${std}";                                      \
800         create_testsuite_report --maybe-color;                          \
801         echo "$$col$$br$$std";                                          \
802         if $$success; then :; else                                      \
803           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
804           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
805             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
806           fi;                                                           \
807           echo "$$col$$br$$std";                                        \
808         fi;                                                             \
809         $$success || exit 1
810
811 check-TESTS:
812         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
813         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
814         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
815         @set +e; $(am__set_TESTS_bases); \
816         log_list=`for i in $$bases; do echo $$i.log; done`; \
817         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
818         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
819         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
820         exit $$?;
821 recheck: all $(check_PROGRAMS)
822         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
823         @set +e; $(am__set_TESTS_bases); \
824         bases=`for i in $$bases; do echo $$i; done \
825                  | $(am__list_recheck_tests)` || exit 1; \
826         log_list=`for i in $$bases; do echo $$i.log; done`; \
827         log_list=`echo $$log_list`; \
828         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
829                 am__force_recheck=am--force-recheck \
830                 TEST_LOGS="$$log_list"; \
831         exit $$?
832 test-strrep.log: test-strrep$(EXEEXT)
833         @p='test-strrep$(EXEEXT)'; \
834         b='test-strrep'; \
835         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
836         --log-file $$b.log --trs-file $$b.trs \
837         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
838         "$$tst" $(AM_TESTS_FD_REDIRECT)
839 test-ptime.log: test-ptime$(EXEEXT)
840         @p='test-ptime$(EXEEXT)'; \
841         b='test-ptime'; \
842         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
843         --log-file $$b.log --trs-file $$b.trs \
844         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
845         "$$tst" $(AM_TESTS_FD_REDIRECT)
846 .test.log:
847         @p='$<'; \
848         $(am__set_b); \
849         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
850         --log-file $$b.log --trs-file $$b.trs \
851         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
852         "$$tst" $(AM_TESTS_FD_REDIRECT)
853 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
854 @am__EXEEXT_TRUE@       @p='$<'; \
855 @am__EXEEXT_TRUE@       $(am__set_b); \
856 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
857 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
858 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
859 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
860
861 distdir: $(DISTFILES)
862         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
863         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
864         list='$(DISTFILES)'; \
865           dist_files=`for file in $$list; do echo $$file; done | \
866           sed -e "s|^$$srcdirstrip/||;t" \
867               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
868         case $$dist_files in \
869           */*) $(MKDIR_P) `echo "$$dist_files" | \
870                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
871                            sort -u` ;; \
872         esac; \
873         for file in $$dist_files; do \
874           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
875           if test -d $$d/$$file; then \
876             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
877             if test -d "$(distdir)/$$file"; then \
878               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
879             fi; \
880             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
881               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
882               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
883             fi; \
884             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
885           else \
886             test -f "$(distdir)/$$file" \
887             || cp -p $$d/$$file "$(distdir)/$$file" \
888             || exit 1; \
889           fi; \
890         done
891 check-am: all-am
892         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
893         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
894 check: check-am
895 all-am: Makefile
896 installdirs:
897 install: install-am
898 install-exec: install-exec-am
899 install-data: install-data-am
900 uninstall: uninstall-am
901
902 install-am: all-am
903         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
904
905 installcheck: installcheck-am
906 install-strip:
907         if test -z '$(STRIP)'; then \
908           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
909             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
910               install; \
911         else \
912           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
913             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
914             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
915         fi
916 mostlyclean-generic:
917         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
918         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
919         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
920
921 clean-generic:
922
923 distclean-generic:
924         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
925         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
926
927 maintainer-clean-generic:
928         @echo "This command is intended for maintainers to use"
929         @echo "it deletes files that may require special tools to rebuild."
930 clean: clean-am
931
932 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
933
934 distclean: distclean-am
935         -rm -rf ./$(DEPDIR)
936         -rm -f Makefile
937 distclean-am: clean-am distclean-compile distclean-generic \
938         distclean-tags
939
940 dvi: dvi-am
941
942 dvi-am:
943
944 html: html-am
945
946 html-am:
947
948 info: info-am
949
950 info-am:
951
952 install-data-am:
953
954 install-dvi: install-dvi-am
955
956 install-dvi-am:
957
958 install-exec-am:
959
960 install-html: install-html-am
961
962 install-html-am:
963
964 install-info: install-info-am
965
966 install-info-am:
967
968 install-man:
969
970 install-pdf: install-pdf-am
971
972 install-pdf-am:
973
974 install-ps: install-ps-am
975
976 install-ps-am:
977
978 installcheck-am:
979
980 maintainer-clean: maintainer-clean-am
981         -rm -rf ./$(DEPDIR)
982         -rm -f Makefile
983 maintainer-clean-am: distclean-am maintainer-clean-generic
984
985 mostlyclean: mostlyclean-am
986
987 mostlyclean-am: mostlyclean-compile mostlyclean-generic
988
989 pdf: pdf-am
990
991 pdf-am:
992
993 ps: ps-am
994
995 ps-am:
996
997 uninstall-am:
998
999 .MAKE: check-am install-am install-strip
1000
1001 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1002         check-local clean clean-checkPROGRAMS clean-generic \
1003         cscopelist-am ctags ctags-am distclean distclean-compile \
1004         distclean-generic distclean-tags distdir dvi dvi-am html \
1005         html-am info info-am install install-am install-data \
1006         install-data-am install-dvi install-dvi-am install-exec \
1007         install-exec-am install-html install-html-am install-info \
1008         install-info-am install-man install-pdf install-pdf-am \
1009         install-ps install-ps-am install-strip installcheck \
1010         installcheck-am installdirs maintainer-clean \
1011         maintainer-clean-generic mostlyclean mostlyclean-compile \
1012         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1013         uninstall uninstall-am
1014
1015 check-local: checkpatch.pl
1016         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --show-types -q --no-tree  -emacs -f {} \;
1017         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore NEW_TYPEDEFS --show-types -q --no-tree  -emacs -f {} \;
1018
1019 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1020 # Otherwise a system limit (for SysV at least) may be exceeded.
1021 .NOEXPORT: